<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Buttons for Webpage Design</title>
    <link href="https://fonts.googleapis.com/css2?family=Baloo+2:wght@400;500;600;700;800&display=swap" rel="stylesheet">
    <!-- global css link -->
    <link href="../css/global.css" rel="stylesheet">
    <!-- global css link end -->
    
    <link href="../css/components.css" rel="stylesheet">
</head>
<style>
    
</style>
<body>
    <div class="typo-table">
        <div class="typo-data-table">
            <h1 class="mt-0 text-center underline heading_large__bold Primary_purple_700">Components</h1>
            <table class="typo-data-table__table">
                <thead>
                    <tr class="typo-data-table__header-row">
                        <th class="Primary_Bgpurple_700 col-3 typo-data-table__header-cell">Name</th>
                        <th class="Primary_Bgpurple_700 typo-data-table__header-cell">Properties</th>
                    </tr>
                </thead>
                <tbody class="typo-data-table__content">
                    <!-- active buttons -->
                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_small__Active White button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_small__Active</span>{<br>
                                            width: 256px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Primary_purple_600);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                        
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>
                                    <td>
                                        <span class="Primary_purple_700">.button_small__Active:hover</span>{<br>
                                            background-color: var(--White);
                                            border: 1px solid var(--Primary_purple_600);
                                            color: var(--Primary_purple_600);
                                            box-shadow: none;
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    
                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_medium__Active White button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_medium__Active</span>{<br>
                                            width: 328px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Primary_purple_600);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>

                                    <td>
                                        <span class="Primary_purple_700">.button_medium__Active:hover</span>{<br>
                                            background-color: var(--White);
                                            border: 1px solid var(--Primary_purple_600);
                                            color: var(--Primary_purple_600);
                                            box-shadow: none;
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_large__Active White button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_large__Active</span>{<br>
                                            width: 368px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Primary_purple_600);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>
                                    <td>
                                        <span class="Primary_purple_700">.button_large__Active:hover</span>{<br>
                                            background-color: var(--White);
                                            border: 1px solid var(--Primary_purple_600);
                                            color: var(--Primary_purple_600);
                                            box-shadow: none;
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_Exlarge__Active White button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_Exlarge__Active</span>{<br>
                                            width: 408px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Primary_purple_600);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>

                                    <td>
                                        <span class="Primary_purple_700">.button_Exlarge__Active:hover</span>{<br>
                                            background-color: var(--White);
                                            border: 1px solid var(--Primary_purple_600);
                                            color: var(--Primary_purple_600);
                                            box-shadow: none;
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <!-- inactive buttons -->
                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_small__Inactive DarkGrey_500 button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_small__Inactive</span>{<br>
                                            width: 256px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Grey_400);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>
                                    <td>
                                        <span class="Primary_purple_700">.button_small__Inactive:hover</span>{<br>
                                            background-color: transparent;<br>
                                            border:  1px solid var(--Grey_400);<br>
                                            color: var(--Grey_400);<br>
                                            box-shadow: none;<br>
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_medium__Inactive DarkGrey_500 button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_medium__Inactive</span>{<br>
                                            width: 328px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Grey_400);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>

                                    <td>
                                        <span class="Primary_purple_700">.button_medium__Inactive:hover</span>{<br>
                                            background-color: transparent;<br>
                                            border:  1px solid var(--Grey_400);<br>
                                            color: var(--Grey_400);<br>
                                            box-shadow: none;<br>
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_large__Inactive DarkGrey_500 button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_large__Inactive</span>{<br>
                                            width: 368px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Grey_400);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>

                                    <td>
                                        <span class="Primary_purple_700">.button_large__Inactive:hover</span>{<br>
                                            background-color: transparent;<br>
                                            border:  1px solid var(--Grey_400);<br>
                                            color: var(--Grey_400);<br>
                                            box-shadow: none;<br>
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_Exlarge__Inactive DarkGrey_500 button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_Exlarge__Inactive</span>{<br>
                                            width: 408px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Grey_400);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>
                                    <td>
                                        <span class="Primary_purple_700">.button_Exlarge__Inactive:hover</span>{<br>
                                            background-color: transparent;<br>
                                            border:  1px solid var(--Grey_400);<br>
                                            color: var(--Grey_400);<br>
                                            box-shadow: none;<br>
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <!-- pressed buttons -->
                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_small__Pressed White button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_small__Pressed</span>{<br>
                                            width: 256px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Primary_purple_700);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>
                                    <td>
                                        <span class="Primary_purple_700">.button_small__Pressed:hover</span>{<br>
                                            background-color: transparent;<br>
                                            border:  1px solid var(--Grey_400);<br>
                                            color: var(--Grey_400);<br>
                                            box-shadow: none;<br>
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_medium__Pressed White button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_medium__Pressed</span>{<br>
                                            width: 328px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Primary_purple_700);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>

                                    <td>
                                        <span class="Primary_purple_700">.button_medium__Pressed:hover</span>{<br>
                                            background-color: transparent;<br>
                                            border:  1px solid var(--Grey_400);<br>
                                            color: var(--Grey_400);<br>
                                            box-shadow: none;<br>
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_large__Pressed White button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_large__Pressed</span>{<br>
                                            width: 368px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Primary_purple_700);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>
                                    <td>
                                        <span class="Primary_purple_700">.button_large__Pressed:hover</span>{<br>
                                            background-color: transparent;<br>
                                            border:  1px solid var(--Grey_400);<br>
                                            color: var(--Grey_400);<br>
                                            box-shadow: none;<br>
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr class="typo-data-table__row">
                        <td class="typo-data-table__cell">
                            <button type="button" class="button_Exlarge__Pressed White button_label__medium">Button label</button>
                        </td>
                        <td class="typo-data-table__cell">
                            <table width="100%">
                                <tr style="display: flex;">
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_Exlarge__Pressed</span>{<br>
                                            width: 408px;<br>
                                            height: 48px;<br>
                                            background-color: var(--Primary_purple_700);<br>
                                            padding: 12px 0;<br>
                                            box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);<br>
                                            border-radius: 16px;<br>
                                        }
                                    </td>
                                    <td class="pr-5">
                                        <span class="Primary_purple_700">.button_label__medium</span>{<br>
                                            font-family: 'Baloo 2';<br>
                                            font-weight: 500;<br>
                                            font-size: 14px;<br>
                                            line-height: 24px;<br>
                                        }
                                    </td>
                                    <td>
                                        <span class="Primary_purple_700">.button_Exlarge__Pressed:hover</span>{<br>
                                            background-color: transparent;<br>
                                            border:  1px solid var(--Grey_400);<br>
                                            color: var(--Grey_400);<br>
                                            box-shadow: none;<br>
                                        }
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    
</body>
</html>